import request from '@/utils/request';

// 承包地块信息列表
export function listCbdkxx(params) {
    return request({
      url: '/service/cbdkxx/mobile/list',
      method: 'get',
      params: params
    });
}

// 承包地块详情
export function getCbdkxx(id) {
  return request({
    url: '/service/cbdkxx/get/' + id,
    method: 'get'
  });
}

// 新增承包地块信息
export function addCbdkxx(data) {
  return request({
    url: '/service/cbdkxx/insert',
    method: 'post',
    data: data
  });
}

// 修改承包地块信息
export function updateCbdkxx(data) {
  return request({
    url: '/service/cbdkxx/modify',
    method: 'post',
    data: data
  });
}

// 删除承包地块信息
export function deleteCbdkxx(id) {
  return request({
    url: '/service/cbdkxx/delete/' + id,
    method: 'get'
  });
}

// 转出承包地块
export function transferCbdkxx(params) {
  return request({
    url: '/service/cbdkxx/transfer',
    method: 'get',
    params: params
  });
}

